Multivariate Pattern Analysis in Python

# mvpa2.misc.plot.base.plot_samples_distance

`mvpa2.misc.plot.base.``plot_samples_distance`(dataset, sortbyattr=None)

  Plot the euclidean distances between all samples of a dataset.

  Parameters:

  dataset : Dataset

  > Providing the samples.

  sortbyattr : None or str

  > If None, the samples distances will be in the same order as their appearance in the dataset. Alternatively, the name of a samples attribute can be given, which wil then be used to sort/group the samples, e.g. to investigate the similarity samples by label or by chunks.